SystemOrganization addCategory: #'DAO-SatelliteUI'!

WAComponent subclass: #DAOSatelliteControllerLauncher
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:39'!
shutDown

	ZnZincServerAdaptor stop 

! !

!DAOSatelliteControllerLauncher methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:38'!
startApp

	ZnZincServerAdaptor startOn: 8080.
	WAAdmin register: DAOSatelliteUI asApplicationAt: 'DAOSatelliteUI'

! !

WAComponent subclass: #DAOSatelliteUI
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'DAO-SatelliteUI'!

!DAOSatelliteUI class methodsFor: 'class initialization' stamp: 'EzequielDavidovichCaballero 10/21/2013 21:22'!
initialize

WAAdmin register: DAOSatelliteUI asApplicationAt: 'DAOSatelliteUI'! !

!DAOSatelliteUI methodsFor: 'initialization' stamp: 'EzequielDavidovichCaballero 10/19/2013 13:26'!
decrease

	count := count - 1! !

!DAOSatelliteUI methodsFor: 'initialization' stamp: 'EzequielDavidovichCaballero 10/19/2013 13:26'!
increase

	count := count + 1! !

!DAOSatelliteUI methodsFor: 'initialization' stamp: 'EzequielDavidovichCaballero 10/19/2013 13:25'!
initialize

	super initialize.
	count := 0! !

!DAOSatelliteUI methodsFor: 'rendering' stamp: 'EzequielDavidovichCaballero 10/20/2013 22:20'!
renderContentOn: html
	"html heading: count.
	html anchor 
			callback: [self increase];
			with: 'increase'.
	html space.
	html anchor
			callback: [self decrease];
			with: 'decrease'.
	html space.
	html break.
	   html render: 'today '.
		html render: Date today"
	| subsystems |
	html heading: 'subsystems'.
	subsystems := SatelliteTest satelliteWithAllSubsystems subsystems.
	html paragraph:
	[ subsystems do:[ :each | html text: each name.
		html horizontalRule]]! !

!DAOSatelliteUI methodsFor: 'as yet unclassified' stamp: 'EzequielDavidovichCaballero 10/20/2013 20:03'!
renderSubsystems: anOrderedCollection 
	self shouldBeImplemented.! !
DAOSatelliteUI initialize!
